<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-text-editing-macros.qdoc -->
  <title>Using Text Editing Macros | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Text Editing Macros</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-editor-codepasting.html" />
  <link rel="next" href="creator-diff-editor.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-editor-codepasting.html">Pasting and Fetching Code Snippets</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-diff-editor.html">Comparing Files</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Text Editing Macros</h1>
<span class="subtitle"></span>
<!-- $$$creator-macros.html-description -->
<div class="descr"> <a name="details"></a>
<p>To record a text editing macro, select <b>Tools</b> &gt; <b>Text Editing Macros</b> &gt; <b>Record Macro</b> or press <b>Alt+(</b>. To stop recording, select <b>Tools</b> &gt; <b>Text Editing Macros</b> &gt; <b>Stop Recording Macro</b> or press <b>Alt+)</b>.</p>
<p><b>Note: </b>The macro recorder does not support code completion.</p><p>To play the last macro, select <b>Tools</b> &gt; <b>Text Editing Macros</b> &gt; <b>Play Last Macro</b> or press <b>Alt+R</b>.</p>
<p>To save the last macro, select <b>Tools</b> &gt; <b>Text Editing Macros</b> &gt; <b>Save Last Macro</b>.</p>
<p>To assign a keyboard shortcut to a text editing macro, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Environment</b> &gt; <b>Keyboard</b>. For more information, see <a href="creator-keyboard-shortcuts.html#configuring-keyboard-shortcuts">Configuring Keyboard Shortcuts</a>.</p>
<p>You can also use the <code>rm</code> locator filter to run a macro. For more information, see <a href="creator-editor-locator.html">Searching with the Locator</a>.</p>
<p>To view and remove saved macros, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b> &gt; <b>Macros</b>.</p>
</div>
<!-- @@@creator-macros.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-editor-codepasting.html">Pasting and Fetching Code Snippets</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-diff-editor.html">Comparing Files</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
